Skip to main content
POST
/
parties
curl --request POST \ --url https://api.example.com/parties \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: <idempotency-key>' \ --data ' { "type": "INDIVIDUAL", "originPartyId": "b9de8f06-6332-4879-b6a4-97c4be513a4e", "firstName": "John", "lastName": "Doe", "dateOfBirth": "1990-05-15", "nationality": "LT", "taxIdentifications": [ { "tin": "39001010000", "country": "LT" } ], "documents": [ { "type": "1", "number": "AB1234567" } ], "registrationAddress": { "streetName": "Main Street", "buildingNumber": "42", "postCode": "01234", "townName": "Vilnius", "country": "LT" } } '
{
  "correlationId": "550e8400-e29b-41d4-a716-446655440000"
}

Headers

Idempotency-Key
string
required

Client-provided idempotency key. UUID v4 suggested, max 255 characters.

Maximum string length: 255
Pattern: \S

Body

application/json

Party creation request

Request to create a party (INDIVIDUAL or ORGANISATION)

type
enum<string>
required

Party type

Available options:
INDIVIDUAL,
ORGANISATION
Example:

"INDIVIDUAL"

originPartyId
string
required

External origin party identifier

Example:

"b9de8f06-6332-4879-b6a4-97c4be513a4e"

documents
object[]
required

Required for INDIVIDUAL registered outside Lithuania

uboDetails
object[]
required

Ultimate beneficial owners. Required for ORGANISATION registered outside Lithuania

representatives
object[]
required

Legal representatives. Required for ORGANISATION registered outside Lithuania

firstName
string | null

Required for INDIVIDUAL

Example:

"John"

lastName
string | null

Required for INDIVIDUAL

Example:

"Doe"

dateOfBirth
string<date> | null

Required for INDIVIDUAL outside Lithuania

Example:

"1990-01-15"

nationality
string | null

Required for INDIVIDUAL (ISO 3166-1 alpha-2)

Example:

"LT"

taxIdentifications
object[] | null

Required for INDIVIDUAL

registrationNumber
string | null

Required for ORGANISATION

Example:

"123456789"

Required for ORGANISATION

Example:

"Acme Corporation"

country
string | null

Required for ORGANISATION (ISO 3166-1 alpha-2)

Example:

"LT"

registrationAddress
object

Registration address. Required for ORGANISATION and INDIVIDUAL registered outside Lithuania

Response

Party creation request accepted

Response for accepted asynchronous requests

correlationId
string
required

Correlation identifier for tracking the request through events

Example:

"550e8400-e29b-41d4-a716-446655440000"

Last modified on February 10, 2026